KABCCLIENT(1)

NAME
kabcclient - client da riga di comando per la rubrica indirizzi di KDE

SYNOPSIS

kabcclient [-A | -R | -M | -S | -L] [--match-case] [--nosave] [-ic codec] [-if formato] [-if-opts opzioni-formato] [-oc codec] [-of formato] [-of-opts opzioni-formato] [dati-in-ingresso]

DESCRIZIONE

kabcclient consente l'accesso da riga di comando alla rubrica indirizzi di KDE, ad esempio in script di shell. Supporta input da standard input o attraverso ulteriori argomenti da riga di comando. Il risultato è sempre scritto su standard output.

OPZIONI

Modalità operative

    -A, --add
        Aggiungi un nuovo contatto alla rubrica

    -R, --remove
        Rimuovi un contatto esistente dalla rubrica

    -M, --merge
        Fondi i dati in ingresso con i dati di un contatto esistente della rubrica. Questo accoda i nuovi dati a quelli preesistenti

    -S, --search
        Ricerca i contatti corrispondenti nella rubrica

    -L, --list
        Elenca tutti i contatti della rubrica

Opzioni di input

    -ic, --input-codec
        Filtra il testo in input in base alla codifica specificata. Vedi -ic help per ulteriori informazioni sui codec di input. Il valore predefinito è local che causa l'utilizzo delle impostazioni correnti del locale(5)

    -if, --input-format
        Analizza il testo in input in base alle regole di formattazione specificate. Vedi -if help per i formati disponibili. Quello predefinito è search

    Invece di leggere il testo in input, kabcclient può mostrare una finestra di dialogo per selezionare i contatti specificando il formato di input
        dialog

    -if-opts, --input-format-options
        Ulteriori opzioni per il formato di input scelto. Possono essere opzionali oppure obbligatorie, in base al formato. Vedi -if-opts help per le opzioni disponibili per il formato

Opzioni di output

    -oc, --output-codec
        Filtra il testo in output in base alla codifica specificata. Vedi -oc help per ulteriori informazioni sui codec di output. Il valore predefinito è local che causa l'utilizzo delle impostazioni correnti del locale(5)

    -of, --output-format
        Formatta il testo in output in base alle regole di formattazione specificate. Vedi -of help per i formati disponibili. Quello predefinito è vcard

    -of-opts, --output-format-options
        Ulteriori opzioni per il formato di output scelto. Possono essere opzionali oppure obbligatorie, in base al formato. Vedi -of-opts help per le opzioni disponibili per il formato

Ulteriori opzioni

    --match-case
        Considera le maiuscole nel confrontare il testo in input con i contatti della rubrica

    --nosave
        Effettua operazioni che modificano le informazioni, come -A, -R o -M solo in memoria, senza riportare i cambiamenti nella rubrica

DIAGNOSTICHE

Come da prassi, un valore di uscita pari a zero indica successo. In base alla modalità operativa scelta un valore di uscita diverso da zero indica un particolare problema incontrato dall'applicazione

AGGIUNTA

    1   Lettura non riuscita del testo in input

    2   Creazione non riuscita di un contatto in base al testo in input, ad esempio nessun dato o dati formattati male per il formato di input scelto

    3   Salvataggio non riuscito delle modifica alla rubrica. Può essere causato, ad esempio, da altre applicazioni che bloccano l'accesso alla rubrica.

RIMOZIONE

    1   Lettura non riuscita del testo in input

    2   Il programma non può rimuovere alcun contatto dalla rubrica. Può essere dovuto ad un'analisi non corretta dei campi in input, all'assenza di contatti corrispondenti o al contrario alla presenza di più di un contatto corrispondente nella rubrica. Nell'ultimo caso un messaggio di errore viene scritto sullo standard error

    3   Salvataggio non riuscito delle modifica alla rubrica. Può essere causato, ad esempio, da altre applicazioni che bloccano l'accesso alla rubrica.

FUSIONE

    1   Lettura non riuscita del testo in input

    2   Il programma non può fondere i dati in input con alcun contatto dalla rubrica. Può essere dovuto ad un'analisi non corretta dei campi in input, all'assenza di contatti corrispondenti o al contrario alla presenza di più di un contatto corrispondente nella rubrica. Nell'ultimo caso un messaggio di errore viene scritto sullo standard error

    3   Salvataggio non riuscito delle modifica alla rubrica. Può essere causato, ad esempio, da altre applicazioni che bloccano l'accesso alla rubrica.

    RICERCA, 1
        Lettura non riuscita del testo in input

    2   Il programma non può trovare alcun contatto corrispondente nella rubrica. Può essere dovuto ad un'analisi non corretta dei campi in input o all'assenza di contatti corrispondenti nella rubrica.

ESEMPI

Ricerca di contatti con Joe nel nome o nell'indirizzo di posta
kabcclient -S Joe

La stessa cosa, ma considerando le maiuscole
kabcclient --match-case -S Joe

La stessa cosa, ma leggendo il testo in ingresso da standard input
echo "Joe" | kabcclient --match-case -S

Cerca di aggiungere un nuovo contatto usando i dati da un indirizzo di posta elettronica formattato
kabcclient --nosave --add -if email "Marilyn Monroe <mmonroe@moviestars.com>"

La stessa cosa, ma stavolta salvando le modifiche alla rubrica
kabcclient --add -if email "Marilyn Monroe <mmonroe@moviestars.com>"

Elenca i formati di input disponibili
kabcclient -if help

Elenca i formati di output disponibili
kabcclient -of help

Elenca le opzioni disponibili per il formato di output 'email'
kabcclient -of email -of-opts help

Elenca tutti gli indirizzi di posta elettronica per tutti i contatti contenenti 'Marilyn'
kabcclient -of email -of-opts allemails -S Marilyn

Rimuovi tutti i contatti selezionati dall'utente nella finestra di dialogo di selezione dei contatti
kabcclient --remove -if dialog

Esporta i contatti selezionati su un file vCard (formato di output predefinito)
kabcclient -S -if dialog > contatti.vcf

AUTORE

Questa pagina di manuale è stata scritta da Kevin Krammer <kevin.krammer@gmx.at> Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

Nei sistemi Debian, il testo completo della GNU General Public License può essere trovato in /usr/share/common-licenses/GPL.